curl --request GET \
--url https://api.smokeball.com/bankaccounts/{bankAccountId}/transactions \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/bankaccounts/{bankAccountId}/transactions"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/bankaccounts/{bankAccountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "64818ee0-c7b4-46ec-862e-514d8b29540a",
"payorName": "John Smith",
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"payor": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"bankAccount": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"type": "Deposit",
"amount": 102.65,
"enteredDate": "2023-11-07T05:31:56Z",
"effectiveDate": "2023-11-07T05:31:56Z",
"reference": "<string>",
"reason": "<string>",
"description": "<string>",
"note": "<string>",
"reversed": true,
"reversedToTransaction": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"reversedFromTransaction": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get transactions
Retrieves a specified bank accounts transaction.
Path Parameters
Query Parameters
0 <= x <= 21474836471 <= x <= 500Returns items updated since the specified date and time.
"2022-04-23T14:00:00Z"
Filters items by the specified matter ID.
"da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262"
Response
When request is successful. Returns a 'Transaction' object.
Show child attributes
Show child attributes
Unique identifier of the transaction.
"64818ee0-c7b4-46ec-862e-514d8b29540a"
The name of the associated contact.
"John Smith"
The associated matter.
Show child attributes
Show child attributes
The associated contact that paid the funds.
Show child attributes
Show child attributes
The bank account where the transaction took place.
Show child attributes
Show child attributes
The type of the transaction.
Possible values: Deposit, DepositReversal, InvoicePayment, InvoicePaymentReversal, VendorPayment, VendorPaymentReversal Transfer, BankFees, BankFeesReversal, Interest, InterestReversal.
"Deposit"
The amount of the transaction in dollars. Limited to 2 decimal places (cents).
102.65
Date the transaction was entered.
Date the transaction took effect.
Reference for the transaction.
Reason for the transaction.
Description of the transaction.
Note for the transaction (for internal use).
True if this transaction has been reversed.
true
The transaction that was created as a result of reversing this transaction.
Show child attributes
Show child attributes
The transaction that was recversed to create this transaction.
Show child attributes
Show child attributes